%define major 6
%define libname %mklibname upnp %{major}

%define threadutilmajor 6
%define libthreadutil %mklibname threadutil %{threadutilmajor}

%define ixmlmajor 2
%define libixml %mklibname ixml %{ixmlmajor}

%define develname %mklibname upnp -d

Summary:        Library and tools for the UPnP protocol
Name:           libupnp
Version:        1.6.19
%define subrel	1
Release:        %mkrel 4
License:        BSD
Group:          System/Libraries
URL:            http://pupnp.sourceforge.net/
Source:         http://downloads.sourceforge.net/pupnp/%{name}-%{version}.tar.bz2
Patch1:         libupnp-1.6.19-11f05d.patch
Patch2:         libupnp-1.6.19-0398b1.patch
Patch3:         libupnp-1.6.19-814d15.patch
Patch4:         libupnp-1.6.19-ef6a6d.patch
Patch5:         libupnp-1.6.19-b0af3d.patch
Patch6:		libupnp-no-post-write.patch

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n %{libname}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries
Obsoletes:      %mklibname upnp 0

%description -n %{libname}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n %{libthreadutil}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries

%description -n %{libthreadutil}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n %{libixml}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries
Obsoletes:      %{_lib}upnp3 < %{version}

%description -n %{libixml}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n %{develname}
Summary:        Header files and static libraries from %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libthreadutil} = %{version}-%{release}
Requires:       %{libixml} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{mklibname upnp 0 -d} < 1.6.5
Provides:       %mklibname upnp 0 -d

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static \
	--enable-tools \
	--enable-ipv6
%make

%install
%makeinstall_std

# don't ship .la
find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%doc LICENSE NEWS README THANKS TODO
%{_libdir}/libupnp.so.%{major}
%{_libdir}/libupnp.so.%{major}.*

%files -n %{libthreadutil}
%{_libdir}/libthreadutil.so.%{threadutilmajor}
%{_libdir}/libthreadutil.so.%{threadutilmajor}.*

%files -n %{libixml}
%{_libdir}/libixml.so.%{ixmlmajor}
%{_libdir}/libixml.so.%{ixmlmajor}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Jul 21 2016 luigiwalser <luigiwalser> 1.6.19-4.1.mga5
+ Revision: 1043000
- add patch to disallow unhandled POSTs writing to filesystem by default
  (CVE-2016-6255)

* Wed Oct 15 2014 umeabot <umeabot> 1.6.19-4.mga5
+ Revision: 750171
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 luigiwalser <luigiwalser> 1.6.19-3.mga5
+ Revision: 736673
- add various upstream bug fixes (mga#14143)

* Tue Sep 16 2014 umeabot <umeabot> 1.6.19-2.mga5
+ Revision: 681830
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 1.6.19-1.mga5
+ Revision: 591817
- new version 1.6.19

* Fri Oct 18 2013 umeabot <umeabot> 1.6.18-2.mga4
+ Revision: 521990
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 guillomovitch <guillomovitch> 1.6.18-1.mga3
+ Revision: 394493
- new version

* Sat Jan 12 2013 umeabot <umeabot> 1.6.17-2.mga3
+ Revision: 358298
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 fwang <fwang> 1.6.17-1.mga3
+ Revision: 289204
- new version 1.6.17

* Sat Jan 28 2012 kamil <kamil> 1.6.15-1.mga2
+ Revision: 202533
- new version 1.6.15

  + fwang <fwang>
    - new version 1.6.13

* Tue Jan 25 2011 ahmad <ahmad> 1.6.6-4.mga1
+ Revision: 39636
- drop old/unneeded scriptlets
- don't ship .a, .la
- imported package libupnp

